Skip to content
Get started

Creates or updates product prices.

POST/api/v2/public/products/prices

Creates or updates product prices.

Body ParametersJSONExpand Collapse
prices: optional array of object { price, price_id, price_type, 8 more }

The product prices to create or update.

price: number

Price value.

formatdouble
price_id: string

Unique price identifier.

minLength1
price_type: number

Numeric price type.

formatint32
product_number: string

The product number this price applies to.

minLength1
valid_from: string

Start of the price’s validity period.

formatdate-time
valid_to: string

End of the price’s validity period.

formatdate-time
country_code: optional string

Optional ISO country code restricting the price.

price_group: optional string

Optional price group identifier.

price_quantity: optional number

Quantity for which the price applies.

formatdouble
price_unit: optional string

Unit of measure the price applies to.

store_number: optional string

Optional store number restricting the price.

ReturnsExpand Collapse
success: boolean

Indicates whether the operation completed successfully.

data: optional string

Optional data payload returned by the operation.

message: optional string

Human-readable message describing the result.

Creates or updates product prices.

curl https://api.colleqtive.net/api/v2/public/products/prices \
    -X POST \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
{
  "success": true,
  "data": "data",
  "message": "message"
}
Returns Examples
{
  "success": true,
  "data": "data",
  "message": "message"
}